## gbp

gbp — Maintain Debian™ packages in Git

## Synopsis

`gbp` {[`--help`] | [`--version`] | [`--list-cmds`] | [`command` [`args`...]]}

## DESCRIPTION

gbp is used to maintain Debian™ source packages in the Git version control system. For a complete description of concepts, git repository layout and recommended workflows, see the online manual at https://gbp.sigxcpu.org/manual/.

## OPTIONS

`--help` | Print help
`--version` | Print the programs version
`--list-cmds` | List all available commands

## GBP COMMANDS

These are the possible commands. For possible arguments to these commands, please see the corresponding man pages.

buildpackage | Build Debian™ source and binary packages from a Git repository

import-orig | Import an upstream source from tarball, or git tag and tarball, into a git repository

import-ref | Merge upstream git commits onto your `debian-branch`

export-orig | Recreate upstream tarballs from a Git repository

import-dsc | Import a Debian™ source packages into a Git repository

import-dscs | Import several Debian™ source packages into a Git repository, sorted by version number

dch | Generate the `debian/changelog` from Git commit history

pq | Manage `debian/patches` in Git without any need for GNU Quilt

pull | Update a Git repository from a remote, aware of necessary packaging branch tracking

clone | Clone a Git repository from a remote and set up the necessary branch tracking

create-remote-repo | Create a remote Git repository

tag | Tag a Debian™ release in a Git repository

push | Push to a remote Git repository, aware of necessary packaging branch tracking

## CONFIGURATION FILES

Several `gbp.conf` files are parsed to set defaults for the above command-line arguments. See the gbp.conf(5) manpage for details.

## SEE ALSO

gbp-buildpackage(1), gbp-clone(1), gbp-create-remote-repo(1), gbp-dch(1), gbp-export-orig(1), gbp-import-dsc(1), gbp-import-dscs(1), gbp-import-orig(1), gbp-import-ref(1), gbp-pq(1), gbp-pristine-tar(1), gbp-pull(1), gbp-push(1), gbp-tag(1), git-pbuilder(1), gbp.conf(5), debuild(1), git(1), pristine-tar(1), The Git-Buildpackage Manual

## AUTHOR

Guido Günther `<agx@sigxcpu.org>`